Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools XML Security Java API Reference 10g Release 3 (10.1.3) B25383-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.security.xmlsec.dsig
Class XSManifest

`java.lang.Object
oracle.security.xmlsec.util.XMLNode
oracle.security.xmlsec.util.XMLElement
oracle.security.xmlsec.dsig.ReferenceList
oracle.security.xmlsec.dsig.XSManifest`

All Implemented Interfaces:
  Referable

public class XSManifest
extends ReferenceList
implements Referable

XML structure containing a list of Reference elements.

Typically, a Manifest will be enclosed in a XML-DSIG Object element, and then targeted by a Reference in the SignedInfo structure.

Note that the reference validation process executed during core signature validation (`XSSignature.verify(PublicKey)`) will only verify the digest on the Manifest itself, not the digests of the References contained in the Manifest. To validate nested Manifest references, use the method `XSSignature.verify(PublicKey, boolean)` and pass `true` for the `valideManifests` argument.

See Also:
  `XSSignature.createManifest()`, `XSSignedInfo`, `XSReference`, `XSObject`

Field Summary

Fields inherited from class oracle.security.xmlsec.util.XMLNode
`node, systemId`

Constructor Summary
`XSManifest(org.w3c.dom.Document owner)` Create a new `XSManifest` instance.
`XSManifest(org.w3c.dom.Document owner, java.lang.String id)` Create a new `XSManifest` instance.
`XSManifest(org.w3c.dom.Element element)` Creates a new `XSManifest` instance.
`XSManifest(org.w3c.dom.Element element, java.lang.String systemId)` Creates a new `XSManifest` instance.

Method Summary
`java.lang.String` | `getType()` Returns the URI defined in the XML-DSIG space to identify the Manifest element ("http://www.w3.org/2000/09/xmldsig#Manifest").

Methods inherited from class oracle.security.xmlsec.dsig.ReferenceList
`addReference, computeRefDigests, getId, getReferences, setId, validateRefDigests`

Methods inherited from class oracle.security.xmlsec.util.XMLElement
`addNSPrefixAttr, addNSPrefixAttr, addNSPrefixAttrDefault, addNSPrefixAttrDefault, getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getChildElementsByTagName, getChildElementsByTagName, getChildElementsByTagNameNS, getChildElementsByTagNameNS, getDefaultNSPrefix, getElementsByTagName, getElementsByTagNameNS, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setDefaultNSPrefix`

Methods inherited from class oracle.security.xmlsec.util.XMLNode
`appendChild, appendChild, appendTo, cloneNode, getAttributes, getChildNodes, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNode, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getSystemId, hasAttributes, hasChildNodes, insertBefore, insertBefore, isSupported, normalize, removeChild, removeChild, replaceChild, replaceChild, setNodeValue, setPrefix, setSystemId, toBytesXML, toStringXML`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface oracle.security.xmlsec.dsig.Referable
`getId, setId`

Constructor Detail

### XSManifest

    public XSManifest(org.w3c.dom.Element element)
               throws org.w3c.dom.DOMException

  Creates a new `XSManifest` instance. from the given Element node.
Parameters:
  `element` - An Element node in the XML document that conforms to the XML-DSIG Manifest schema.

### XSManifest

    public XSManifest(org.w3c.dom.Element element,
                      java.lang.String systemId)
               throws org.w3c.dom.DOMException

  Creates a new `XSManifest` instance. from the given Element node.
Parameters:
  `element` - An Element node in the XML document that conforms to the XML-DSIG Manifest schema.
  `systemId` - The URI string system ID for this element.
Since:
  2.0
See Also:
  `XMLNode.setSystemId(java.lang.String)`

### XSManifest

    public XSManifest(org.w3c.dom.Document owner)
               throws org.w3c.dom.DOMException

  Create a new `XSManifest` instance.
Parameters:
  `owner` - The owner document of the new `XSManifest`

### XSManifest

    public XSManifest(org.w3c.dom.Document owner,
                      java.lang.String id)

  Create a new `XSManifest` instance.
Parameters:
  `owner` - The owner document of the new `XSManifest`
  `id` - An optional string ID name for this Manifest structure.

Method Detail

### getType

    public java.lang.String getType()

  Returns the URI defined in the XML-DSIG space to identify the Manifest element ("http://www.w3.org/2000/09/xmldsig#Manifest").
  Specified by:
    `getType` in interface `Referable`
  Returns:
    A URI identifying the type of this object, or `null` if none is defined.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools XML Security Java API Reference 10g Release 3 (10.1.3) B25383-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005, 2006 , Oracle. All rights reserved.